<?php
/*
******************************************************************************************
*                                                                                        *
*    Photo Contest Web Application v1.0                                                  *
*    Copyright (C) Oct 10, 2010  Subhrajit Bhattacharya                                  *
*                                                                                        *
*    This program is free software: you can redistribute it and/or modify                *
*    it under the terms of the GNU General Public License as published by                *
*    the Free Software Foundation, either version 3 of the License, or                   *
*    (at your option) any later version.                                                 *
*                                                                                        *
*    This program is distributed in the hope that it will be useful,                     *
*    but WITHOUT ANY WARRANTY; without even the implied warranty of                      *
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                       *
*    GNU General Public License for more details <http://www.gnu.org/licenses/>.         *
*                                                                                        *
*                                                                                        *
*    Contact: subhrajit@gmail.com, http://www.subhrajit.net/                             *
*                                                                                        *
*                                                                                        *
******************************************************************************************
*/
?>

<?php
include_once("config.php");
db_connect_photocontest();
db_test_photocontest();
?>

<html>
<head><link rel="stylesheet" type="text/css" href="style.css" /></head>
<body style="width:<? print($info_photocontest->containerwidth); ?>px;">

<div><img src="<? print($info_photocontest->bannerURL); ?>" width=<? print($info_photocontest->containerwidth); ?>></div>
<h3><? print($info_photocontest->confname); ?> Photos</h3>
<p style="font-size:8pt;"><b>[ <a href='upload.php'>Upload Page</a> ]</b> &nbsp; 
<?php
foreach ($info_photocontest->topLinks as $k=>$v)
    print("[ <a href='".$v."'>".$k."</a> ] &nbsp; ");
?>
<br/>&nbsp;<br/>&nbsp;</p>

<table border=0 cellspacing=0 cellpadding=0 class="content" style="margin:auto;">

<?php

if (empty($_GET['page']))
    $pageNo = 1;
else
    $pageNo = intval($_GET['page']);

// ----------------------------------------------
// The submissions through photo submission form

$query = "SELECT * FROM ".$db_info_photocontest->table;
$result =  mysql_query($query);

$ReadCount = 0;
$DispCount = 0;

while ($row = mysql_fetch_array($result))
{

   $thisCountPage = floor($ReadCount/($display_photocontest->ImagesPerLine*$display_photocontest->LinesPerPage))+1;
   if($thisCountPage==$pageNo)
   {
      if (!file_exists($upload_photocontest->relfolder.$row['filename'].".JPG") && 
          !file_exists($upload_photocontest->relfolder.$row['filename']."_thumb.JPG"))
          continue;
   
      if ($DispCount % $display_photocontest->ImagesPerLine == 0) print("<tr>");
      print("<td valign='top' align='center' style='border:solid 1px #eeeeee;'>
             <div style='border:solid 1px #cccccc; margin:5px; padding:3px; overflow:hidden; width: ".($display_photocontest->ThumbMaxWidth+6)."px; height: ".$display_photocontest->ThumbMaxHeight."px'>".
          "<a href='#' onClick='window.open(\"".$upload_photocontest->folderURL.$row['filename'].".JPG\", \"ViewContainer\", \"menubar=no,width=500,height=600,toolbar=no\");'>".
          "<img src='".$upload_photocontest->folderURL.$row['filename']."_thumb.JPG' border=0></a></div>");
          print("<div style='font-size: 10px; color:#888888; width: ".($display_photocontest->ThumbMaxWidth)."px;'><b><i>#".$row['id']."</i>: ".rawurldecode($row['caption'])."</b>");
          if (empty($_GET['details']) || $_GET['details']!="public")
          {
              print("<br/><span style='color:#886622;'>");
              if ($row['student']=='yes') print("(student,<br/>"); else print("(NOT student,<br/>");
              if ($row['contest']=='yes') print("for contest)"); else print("NOT for contest)");
              print("</span>");
          }
          if (!empty($_GET['detailspass']) && $_GET['detailspass']==$display_photocontest->detailspass)
          {
            print("<br/>".rawurldecode($row['name']));
            print(",<br/>".rawurldecode($row['affiliation']));
            print(",<br/><span style='font-size:6pt;'>".rawurldecode($row['email'])."</span>");
          }
      print("</div></td>");
      if ($DispCount % $display_photocontest->ImagesPerLine == $display_photocontest->ImagesPerLine-1) print("</tr>");
      $DispCount++;
   }
   $ReadCount++;
}


// ----------------------------------------------
// The sub-folders

if (!empty($_GET['details']) && $_GET['details']=="public")
{
    $BaseDir = $upload_photocontest->relfolder;
    if ($dh = opendir($BaseDir))
    {
      $dirList = array();
      while (($dir = readdir($dh)) !== false)
         if ($dir!=="." && $dir!==".." && is_dir($BaseDir.$dir))
            $dirList[] = $dir;
      sort($dirList);

      foreach ($dirList as $dir) { 
      
            $subdir = $BaseDir.$dir."/";
            if ($subdh = opendir($subdir))
            {
               while (($file = readdir($subdh)) !== false)
               {
                  if (is_dir($subdir.$file)) continue;
                  
                  $thisCountPage = floor($ReadCount/($display_photocontest->ImagesPerLine*$display_photocontest->LinesPerPage))+1;
                  if($thisCountPage==$pageNo)
                  {
                     $fname = $dir."/".$file;
                     $thumbfname = getThumb_sub($fname, $display_photocontest->ThumbMaxWidth, $display_photocontest->ThumbMaxHeight);
                     
                     if (!file_exists($BaseDir.$fname) && !file_exists($BaseDir.$thumbfname))
                          continue;
                   
                      if ($DispCount % $display_photocontest->ImagesPerLine == 0) print("<tr>");
                      print("<td valign='top' align='center' style='border:solid 1px #eeeeee;'>
                             <div style='border:solid 1px #cccccc; margin:5px; padding:3px; overflow:hidden; width: ".($display_photocontest->ThumbMaxWidth+6)."px; height: ".$display_photocontest->ThumbMaxHeight."px'>".
                          "<a href='#' onClick='window.open(\"".$upload_photocontest->folderURL.$fname."\", \"ViewContainer\", \"menubar=no,width=500,height=600,toolbar=no\");'>".
                          "<img src='".$upload_photocontest->folderURL.$thumbfname."' border=0></a></div>");
                          print("<div style='font-size: 10px; color:#888888; width: ".($display_photocontest->ThumbMaxWidth)."px;'><b>".$file."</b>");
                          print("<br/>".$dir);
                      print("</div></td>");
                      if ($DispCount % $display_photocontest->ImagesPerLine == $display_photocontest->ImagesPerLine-1) print("</tr>");
                     
                     $DispCount++;
                  }
                  $ReadCount++;
               }
            }
            closedir($subdh);
      }
      closedir($dh);
    }
}

// ----------------------------------------------
// Finishing the table

if ($ReadCount % $display_photocontest->ImagesPerLine != 0)
{
   while ($ReadCount % $display_photocontest->ImagesPerLine != 0)
   {
      print("<td valign='top' width=".($display_photocontest->ThumbMaxWidth+6)." style='border:solid 1px #ffffff;'></td>");
      $ReadCount++;
   }
   print("</tr>");
}


?>

</table>

<?
// ----------------------------------------------
// The pages list

print("<center><a name='PageNosList'></a><div style='text-align:center; border: 1px solid #ffffff; margin:10px; padding:5px; width:350px;'>Pages:<br/>");
if (!empty($_GET['detailspass'])) $detailspass="&detailspass=".$_GET['detailspass']; else $detailspass="";
for ($pageNos=1; $pageNos<=floor(($ReadCount-1)/($display_photocontest->ImagesPerLine*$display_photocontest->LinesPerPage))+1; $pageNos++)
   if ($pageNos==$pageNo)
      print(" <a href='?page=".$pageNos.$detailspass."'><b>$pageNos</b></a> ");
   else
      print(" <a href='?page=".$pageNos.$detailspass."'>$pageNos</a> ");
print("</div></center>");
?>

<script type="text/javascript">
   document.getElementById('PageCount').innerHTML = '<? print($pageNos-1); ?>';
</script>

<div class="footer"><a href="http://fling.seas.upenn.edu/~subhrabh/cgi-bin/wiki/index.php?n=Projects.ITPmWiki-ConferencePhotoManager" target="_blank">Conference Photo Manager v1.0</a></div>

</body>
</html>

<?php
db_close_photocontest();
?>

